
require 'cloudmin-procs-lib.pl';

sub plugin_desc
{
return $text{'plugin_desc'};
}

# server_actions(&server)
# Returns an array of additional links for some virtual system, each of which
# is a hash ref with the keys :
# id - A unique ID for this action
# desc - A human-readable description
# cat - The category code
# link - Relative URL for the link
sub server_actions
{
local ($server) = @_;
if (&foreign_available($module_name) &&
    ($server->{'status'} eq 'virt' ||
     $server->{'status'} eq 'novirt' ||
     $server->{'status'} eq 'nowebmin' ||
     $server->{'status'} eq 'nowebminlogin')) {
	return ( { 'id' => 'cloudmin-procs',
		   'desc' => $text{'action_link'},
		   'cat' => 'manage',
		   'link' => "/$module_name/list.cgi?id=$server->{'id'}" });
	}
return ( );
}

1;

